package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class AddStockBean {

        /**
         * records : [{"createdBy":675,"createdByName":"李凯","createdTime":"2020-04-14 20:41:57","updatedBy":675,"updatedByName":"李凯","updatedTime":"2020-04-14 20:56:09","commenceFromId":null,"createdType":null,"id":226,"orderId":"FO10024","orderType":"FO","status":"2","applyRemark":"11","auditRemark":"122","serialNumber":"INI20041420415733","deptIdList":null,"ownId":null,"orderItemId":"086b3113f20043f7a9bb1c05d13f69e9","productId":33,"productName":"白刚玉","productSoleCode":"白刚玉","productSimpleCode":"白刚玉","productAmount":1,"qualityInspectionStatus":"0","qiApplyRemark":"11","qiAuditRemark":null,"boxCode":"1","qiAuditBy":null,"qiAuditTime":null,"qiAuditByName":null}]
         * total : 1
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : 675
             * createdByName : 李凯
             * createdTime : 2020-04-14 20:41:57
             * updatedBy : 675
             * updatedByName : 李凯
             * updatedTime : 2020-04-14 20:56:09
             * commenceFromId : null
             * createdType : null
             * id : 226
             * orderId : FO10024
             * orderType : FO
             * status : 2
             * applyRemark : 11
             * auditRemark : 122
             * serialNumber : INI20041420415733
             * deptIdList : null
             * ownId : null
             * orderItemId : 086b3113f20043f7a9bb1c05d13f69e9
             * productId : 33
             * productName : 白刚玉
             * productSoleCode : 白刚玉
             * productSimpleCode : 白刚玉
             * productAmount : 1.0
             * qualityInspectionStatus : 0
             * qiApplyRemark : 11
             * qiAuditRemark : null
             * boxCode : 1
             * qiAuditBy : null
             * qiAuditTime : null
             * qiAuditByName : null
             */

            private int createdBy;
            private String createdByName;
            private String createdTime;
            private int updatedBy;
            private String updatedByName;
            private String updatedTime;
            private Object commenceFromId;
            private Object createdType;
            private int id;
            private String orderId;
            private String orderType;
            private String status;
            private String applyRemark;
            private String auditRemark;
            private String serialNumber;
            private Object deptIdList;
            private Object ownId;
            private String orderItemId;
            private int productId;
            private String productName;
            private String productSoleCode;
            private String productSimpleCode;
            private double productAmount;
            private String qualityInspectionStatus;
            private String qiApplyRemark;
            private Object qiAuditRemark;
            private String boxCode;
            private Object qiAuditBy;
            private Object qiAuditTime;
            private Object qiAuditByName;

            public int getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(int createdBy) {
                this.createdBy = createdBy;
            }

            public String getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(String createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public int getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(int updatedBy) {
                this.updatedBy = updatedBy;
            }

            public String getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(String updatedByName) {
                this.updatedByName = updatedByName;
            }

            public String getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(String updatedTime) {
                this.updatedTime = updatedTime;
            }

            public Object getCommenceFromId() {
                return commenceFromId;
            }

            public void setCommenceFromId(Object commenceFromId) {
                this.commenceFromId = commenceFromId;
            }

            public Object getCreatedType() {
                return createdType;
            }

            public void setCreatedType(Object createdType) {
                this.createdType = createdType;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public String getOrderType() {
                return orderType;
            }

            public void setOrderType(String orderType) {
                this.orderType = orderType;
            }

            public String getStatus() {
                return status;
            }

            public void setStatus(String status) {
                this.status = status;
            }

            public String getApplyRemark() {
                return applyRemark;
            }

            public void setApplyRemark(String applyRemark) {
                this.applyRemark = applyRemark;
            }

            public String getAuditRemark() {
                return auditRemark;
            }

            public void setAuditRemark(String auditRemark) {
                this.auditRemark = auditRemark;
            }

            public String getSerialNumber() {
                return serialNumber;
            }

            public void setSerialNumber(String serialNumber) {
                this.serialNumber = serialNumber;
            }

            public Object getDeptIdList() {
                return deptIdList;
            }

            public void setDeptIdList(Object deptIdList) {
                this.deptIdList = deptIdList;
            }

            public Object getOwnId() {
                return ownId;
            }

            public void setOwnId(Object ownId) {
                this.ownId = ownId;
            }

            public String getOrderItemId() {
                return orderItemId;
            }

            public void setOrderItemId(String orderItemId) {
                this.orderItemId = orderItemId;
            }

            public int getProductId() {
                return productId;
            }

            public void setProductId(int productId) {
                this.productId = productId;
            }

            public String getProductName() {
                return productName;
            }

            public void setProductName(String productName) {
                this.productName = productName;
            }

            public String getProductSoleCode() {
                return productSoleCode;
            }

            public void setProductSoleCode(String productSoleCode) {
                this.productSoleCode = productSoleCode;
            }

            public String getProductSimpleCode() {
                return productSimpleCode;
            }

            public void setProductSimpleCode(String productSimpleCode) {
                this.productSimpleCode = productSimpleCode;
            }

            public double getProductAmount() {
                return productAmount;
            }

            public void setProductAmount(double productAmount) {
                this.productAmount = productAmount;
            }

            public String getQualityInspectionStatus() {
                return qualityInspectionStatus;
            }

            public void setQualityInspectionStatus(String qualityInspectionStatus) {
                this.qualityInspectionStatus = qualityInspectionStatus;
            }

            public String getQiApplyRemark() {
                return qiApplyRemark;
            }

            public void setQiApplyRemark(String qiApplyRemark) {
                this.qiApplyRemark = qiApplyRemark;
            }

            public Object getQiAuditRemark() {
                return qiAuditRemark;
            }

            public void setQiAuditRemark(Object qiAuditRemark) {
                this.qiAuditRemark = qiAuditRemark;
            }

            public String getBoxCode() {
                return boxCode;
            }

            public void setBoxCode(String boxCode) {
                this.boxCode = boxCode;
            }

            public Object getQiAuditBy() {
                return qiAuditBy;
            }

            public void setQiAuditBy(Object qiAuditBy) {
                this.qiAuditBy = qiAuditBy;
            }

            public Object getQiAuditTime() {
                return qiAuditTime;
            }

            public void setQiAuditTime(Object qiAuditTime) {
                this.qiAuditTime = qiAuditTime;
            }

            public Object getQiAuditByName() {
                return qiAuditByName;
            }

            public void setQiAuditByName(Object qiAuditByName) {
                this.qiAuditByName = qiAuditByName;
            }
        }
}
